Datasets
Send file upload chunk
Send file upload chunk for the specified Dataset, writing the chunk information to the SQLite database
POST
/
datasetrw
/
datasets
/
{datasetId}
/
snapshot
/
file
Send file upload chunk
curl --request POST \
--url https://mycluster.domino.tech/datasetrw/datasets/{datasetId}/snapshot/file \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'file=<string>'import requests
url = "https://mycluster.domino.tech/datasetrw/datasets/{datasetId}/snapshot/file"
payload = { "file": "<string>" }
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({file: '<string>'})
};
fetch('https://mycluster.domino.tech/datasetrw/datasets/{datasetId}/snapshot/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"directorySize": "<string>",
"rows": [
{
"lastModified": 123,
"name": {
"fileName": "<string>",
"isDirectory": true,
"label": "<string>",
"sortableName": "<string>",
"url": "<string>"
},
"size": {
"label": "<string>",
"sizeInBytes": 123
}
}
]
}
]{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}Path Parameters
ID of Dataset
Query Parameters
Number of the current chunk
Total number of chunks of the file to upload
Unique identifier for the file to upload
Unique identifier for this upload session
Path of the file to upload relative to the root directory being uploaded if applicable, or the file name
Size in bytes of one standard (not last) upload chunk
Size in bytes of the current upload chunk
Checksum of the file to upload
Body
application/x-www-form-urlencoded
File to upload
Last modified on September 3, 2026
Was this page helpful?
⌘I
Send file upload chunk
